import{S as dt,i as $t,s as mt,e as c,k as $,w as _,t as f,M as vt,c as u,d as a,m,a as d,x as y,h,b as w,G as n,g as p,y as j,q as k,o as q,B as E,v as wt,L as ae}from"../chunks/vendor-hf-doc-builder.js";import{T as ft}from"../chunks/Tip-hf-doc-builder.js";import{I as Hs}from"../chunks/IconCopyLink-hf-doc-builder.js";import{C as S}from"../chunks/CodeBlock-hf-doc-builder.js";import{I as ht,M as ce}from"../chunks/InferenceApi-hf-doc-builder.js";function gt(v){let t,r=" ",s,l,i,b,O;return{c(){t=f("Currently, only "),s=f(r),l=$(),i=c("a"),b=f("streamable"),O=f(` datasets
  are supported so Datasets Server can extract the 100 first rows without downloading the
  whole dataset. This is especially useful for previewing large datasets where downloading
  the whole dataset may take hours!`),this.h()},l(g){t=h(g,"Currently, only "),s=h(g,r),l=m(g),i=u(g,"A",{href:!0});var A=d(i);b=h(A,"streamable"),A.forEach(a),O=h(g,` datasets
  are supported so Datasets Server can extract the 100 first rows without downloading the
  whole dataset. This is especially useful for previewing large datasets where downloading
  the whole dataset may take hours!`),this.h()},h(){w(i,"href","https://huggingface.co/docs/datasets/stream")},m(g,A){p(g,t,A),p(g,s,A),p(g,l,A),p(g,i,A),n(i,b),p(g,O,A)},p:ae,d(g){g&&a(t),g&&a(s),g&&a(l),g&&a(i),g&&a(O)}}}function _t(v){let t,r;return t=new S({props:{code:`import requests
API_URL = "https://datasets-server.huggingface.co/valid"
def query():
    response = requests.request("GET", API_URL)
    return response.json()
data = query()`,highlighted:`<span class="hljs-keyword">import</span> requests
API_URL = <span class="hljs-string">&quot;https://datasets-server.huggingface.co/valid&quot;</span>
<span class="hljs-keyword">def</span> <span class="hljs-title function_">query</span>():
    response = requests.request(<span class="hljs-string">&quot;GET&quot;</span>, API_URL)
    <span class="hljs-keyword">return</span> response.json()
data = query()`}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p:ae,i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function yt(v){let t,r;return t=new ce({props:{$$slots:{default:[_t]},$$scope:{ctx:v}}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p(s,l){const i={};l&2&&(i.$$scope={dirty:l,ctx:s}),t.$set(i)},i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function jt(v){let t,r;return t=new S({props:{code:`import fetch from "node-fetch";
async function query(data) {
    const response = await fetch(
        "https://datasets-server.huggingface.co/valid",
        {
            method: "GET"
        }
    );
    const result = await response.json();
    return result;
}
query().then((response) => {
    console.log(JSON.stringify(response));
});`,highlighted:`<span class="hljs-keyword">import</span> fetch <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;node-fetch&quot;</span>;
<span class="hljs-keyword">async</span> <span class="hljs-keyword">function</span> <span class="hljs-title function_">query</span>(<span class="hljs-params">data</span>) {
    <span class="hljs-keyword">const</span> response = <span class="hljs-keyword">await</span> <span class="hljs-title function_">fetch</span>(
        <span class="hljs-string">&quot;https://datasets-server.huggingface.co/valid&quot;</span>,
        {
            <span class="hljs-attr">method</span>: <span class="hljs-string">&quot;GET&quot;</span>
        }
    );
    <span class="hljs-keyword">const</span> result = <span class="hljs-keyword">await</span> response.<span class="hljs-title function_">json</span>();
    <span class="hljs-keyword">return</span> result;
}
<span class="hljs-title function_">query</span>().<span class="hljs-title function_">then</span>(<span class="hljs-function">(<span class="hljs-params">response</span>) =&gt;</span> {
    <span class="hljs-variable language_">console</span>.<span class="hljs-title function_">log</span>(<span class="hljs-title class_">JSON</span>.<span class="hljs-title function_">stringify</span>(response));
});`}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p:ae,i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function kt(v){let t,r;return t=new ce({props:{$$slots:{default:[jt]},$$scope:{ctx:v}}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p(s,l){const i={};l&2&&(i.$$scope={dirty:l,ctx:s}),t.$set(i)},i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function qt(v){let t,r;return t=new S({props:{code:`curl https://datasets-server.huggingface.co/valid \\
        -X GET`,highlighted:`curl https://datasets-<span class="hljs-keyword">server</span>.huggingface.co/<span class="hljs-keyword">valid</span> \\
        -X <span class="hljs-keyword">GET</span>`}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p:ae,i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function Et(v){let t,r;return t=new ce({props:{$$slots:{default:[qt]},$$scope:{ctx:v}}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p(s,l){const i={};l&2&&(i.$$scope={dirty:l,ctx:s}),t.$set(i)},i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function bt(v){let t,r;return t=new S({props:{code:`import requests
headers = {"Authorization": f"Bearer {API_TOKEN}"}
API_URL = "https://datasets-server.huggingface.co/is-valid?dataset=rotten_tomatoes"
def query():
    response = requests.request("GET", API_URL, headers=headers)
    return response.json()
data = query()`,highlighted:`<span class="hljs-keyword">import</span> requests
headers = {<span class="hljs-string">&quot;Authorization&quot;</span>: <span class="hljs-string">f&quot;Bearer <span class="hljs-subst">{API_TOKEN}</span>&quot;</span>}
API_URL = <span class="hljs-string">&quot;https://datasets-server.huggingface.co/is-valid?dataset=rotten_tomatoes&quot;</span>
<span class="hljs-keyword">def</span> <span class="hljs-title function_">query</span>():
    response = requests.request(<span class="hljs-string">&quot;GET&quot;</span>, API_URL, headers=headers)
    <span class="hljs-keyword">return</span> response.json()
data = query()`}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p:ae,i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function At(v){let t,r;return t=new ce({props:{$$slots:{default:[bt]},$$scope:{ctx:v}}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p(s,l){const i={};l&2&&(i.$$scope={dirty:l,ctx:s}),t.$set(i)},i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function Pt(v){let t,r;return t=new S({props:{code:`import fetch from "node-fetch";
async function query(data) {
    const response = await fetch(
        "https://datasets-server.huggingface.co/is-valid?dataset=rotten_tomatoes",
        {
            headers: { Authorization: \`Bearer \${API_TOKEN}\` },
            method: "GET"
        }
    );
    const result = await response.json();
    return result;
}
query().then((response) => {
    console.log(JSON.stringify(response));
});`,highlighted:`<span class="hljs-keyword">import</span> fetch <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;node-fetch&quot;</span>;
<span class="hljs-keyword">async</span> <span class="hljs-keyword">function</span> <span class="hljs-title function_">query</span>(<span class="hljs-params">data</span>) {
    <span class="hljs-keyword">const</span> response = <span class="hljs-keyword">await</span> <span class="hljs-title function_">fetch</span>(
        <span class="hljs-string">&quot;https://datasets-server.huggingface.co/is-valid?dataset=rotten_tomatoes&quot;</span>,
        {
            <span class="hljs-attr">headers</span>: { <span class="hljs-title class_">Authorization</span>: <span class="hljs-string">\`Bearer <span class="hljs-subst">\${API_TOKEN}</span>\`</span> },
            <span class="hljs-attr">method</span>: <span class="hljs-string">&quot;GET&quot;</span>
        }
    );
    <span class="hljs-keyword">const</span> result = <span class="hljs-keyword">await</span> response.<span class="hljs-title function_">json</span>();
    <span class="hljs-keyword">return</span> result;
}
<span class="hljs-title function_">query</span>().<span class="hljs-title function_">then</span>(<span class="hljs-function">(<span class="hljs-params">response</span>) =&gt;</span> {
    <span class="hljs-variable language_">console</span>.<span class="hljs-title function_">log</span>(<span class="hljs-title class_">JSON</span>.<span class="hljs-title function_">stringify</span>(response));
});`}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p:ae,i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function Tt(v){let t,r;return t=new ce({props:{$$slots:{default:[Pt]},$$scope:{ctx:v}}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p(s,l){const i={};l&2&&(i.$$scope={dirty:l,ctx:s}),t.$set(i)},i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function It(v){let t,r;return t=new S({props:{code:`curl https://datasets-server.huggingface.co/is-valid?dataset=rotten_tomatoes \\
        -X GET \\
        -H "Authorization: Bearer \${API_TOKEN}"`,highlighted:`curl https://datasets-<span class="hljs-keyword">server</span>.huggingface.co/<span class="hljs-keyword">is</span>-<span class="hljs-keyword">valid</span>?dataset=rotten_tomatoes \\
        -X <span class="hljs-keyword">GET</span> \\
        -H &quot;Authorization: Bearer \${API_TOKEN}&quot;`}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p:ae,i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function xt(v){let t,r;return t=new ce({props:{$$slots:{default:[It]},$$scope:{ctx:v}}}),{c(){_(t.$$.fragment)},l(s){y(t.$$.fragment,s)},m(s,l){j(t,s,l),r=!0},p(s,l){const i={};l&2&&(i.$$scope={dirty:l,ctx:s}),t.$set(i)},i(s){r||(k(t.$$.fragment,s),r=!0)},o(s){q(t.$$.fragment,s),r=!1},d(s){E(t,s)}}}function St(v){let t,r,s,l;return{c(){t=f("Remember if a dataset is "),r=c("a"),s=f("gated"),l=f(", you'll need to provide your user token to submit a successful query!"),this.h()},l(i){t=h(i,"Remember if a dataset is "),r=u(i,"A",{href:!0});var b=d(r);s=h(b,"gated"),b.forEach(a),l=h(i,", you'll need to provide your user token to submit a successful query!"),this.h()},h(){w(r,"href","./quick_start#gated-datasets")},m(i,b){p(i,t,b),p(i,r,b),n(r,s),p(i,l,b)},d(i){i&&a(t),i&&a(r),i&&a(l)}}}function Ot(v){let t,r,s,l,i,b,O,g,A,Ae,re,ss,Pe,L,ne,ue,ts,as,rs,le,fe,ns,ls,Te,N,os,X,is,ps,Ie,C,xe,P,cs,V,us,fs,F,hs,ds,Q,$s,ms,Se,I,G,he,W,vs,de,ws,Oe,R,gs,$e,_s,ys,Le,D,Ne,U,js,me,ks,qs,Ce,Y,Ge,x,B,ve,Z,Es,we,bs,Re,H,As,ge,Ps,Ts,De,z,Ue,oe,Is,Be,ee,He,ie,xs,ze,se,Je,pe,Ss,Ke,T,_e,Os,Ls,ye,Ns,Cs,je,Gs,Rs,ke,Ds,Me,J,Xe;return b=new Hs({}),C=new ft({props:{warning:!0,$$slots:{default:[gt]},$$scope:{ctx:v}}}),W=new Hs({}),D=new ht({props:{python:!0,js:!0,curl:!0,$$slots:{curl:[Et],js:[kt],python:[yt]},$$scope:{ctx:v}}}),Y=new S({props:{code:`{
  "valid": [
    "0n1xus/codexglue",
    "0n1xus/pytorrent-standalone",
    "0x7194633/rupile",
    "51la5/keyword-extraction",
    ...
  ]
}`,highlighted:`<span class="hljs-punctuation">{</span>
  <span class="hljs-attr">&quot;valid&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-punctuation">[</span>
    <span class="hljs-string">&quot;0n1xus/codexglue&quot;</span><span class="hljs-punctuation">,</span>
    <span class="hljs-string">&quot;0n1xus/pytorrent-standalone&quot;</span><span class="hljs-punctuation">,</span>
    <span class="hljs-string">&quot;0x7194633/rupile&quot;</span><span class="hljs-punctuation">,</span>
    <span class="hljs-string">&quot;51la5/keyword-extraction&quot;</span><span class="hljs-punctuation">,</span>
    ...
  <span class="hljs-punctuation">]</span>
<span class="hljs-punctuation">}</span>`}}),Z=new Hs({}),z=new ht({props:{python:!0,js:!0,curl:!0,$$slots:{curl:[xt],js:[Tt],python:[At]},$$scope:{ctx:v}}}),ee=new S({props:{code:'{"valid": true}',highlighted:'<span class="hljs-punctuation">{</span><span class="hljs-attr">&quot;valid&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-keyword">true</span><span class="hljs-punctuation">}</span>'}}),se=new S({props:{code:'{"valid": false}',highlighted:'<span class="hljs-punctuation">{</span><span class="hljs-attr">&quot;valid&quot;</span><span class="hljs-punctuation">:</span> <span class="hljs-keyword">false</span><span class="hljs-punctuation">}</span>'}}),J=new ft({props:{$$slots:{default:[St]},$$scope:{ctx:v}}}),{c(){t=c("meta"),r=$(),s=c("h1"),l=c("a"),i=c("span"),_(b.$$.fragment),O=$(),g=c("span"),A=f("Check dataset validity"),Ae=$(),re=c("p"),ss=f("Before you download a dataset from the Hub, it is helpful to know which datasets are available or if a specific dataset you\u2019re interested in is available. Datasets Server provides two endpoints for verifying whether a dataset is valid or not:"),Pe=$(),L=c("ul"),ne=c("li"),ue=c("code"),ts=f("/valid"),as=f(" returns a list of all the datasets that work without any errors."),rs=$(),le=c("li"),fe=c("code"),ns=f("/is-valid"),ls=f(" checks if a specific dataset works without any errors."),Te=$(),N=c("p"),os=f("The API endpoints will return an error for datasets that cannot be loaded with the "),X=c("a"),is=f("\u{1F917} Datasets"),ps=f(" library, for example, because the data hasn\u2019t been uploaded or the format is not supported."),Ie=$(),_(C.$$.fragment),xe=$(),P=c("p"),cs=f("This guide shows you how to check dataset validity programmatically, but free to try it out with "),V=c("a"),us=f("Postman"),fs=f(", "),F=c("a"),hs=f("RapidAPI"),ds=f(", or "),Q=c("a"),$s=f("ReDoc"),ms=f("."),Se=$(),I=c("h2"),G=c("a"),he=c("span"),_(W.$$.fragment),vs=$(),de=c("span"),ws=f("Get all valid datasets"),Oe=$(),R=c("p"),gs=f("The "),$e=c("code"),_s=f("/valid"),ys=f(" endpoint returns a list of Hub datasets that are expected to load without any errors. This endpoint takes no query parameters:"),Le=$(),_(D.$$.fragment),Ne=$(),U=c("p"),js=f("The endpoint response is a JSON containing a list valid datasets nested under the "),me=c("code"),ks=f("valid"),qs=f(" key:"),Ce=$(),_(Y.$$.fragment),Ge=$(),x=c("h2"),B=c("a"),ve=c("span"),_(Z.$$.fragment),Es=$(),we=c("span"),bs=f("Check if a dataset is valid"),Re=$(),H=c("p"),As=f("On the other hand, "),ge=c("code"),Ps=f("/is-valid"),Ts=f(" checks whether a specific dataset loads without any error. This endpoint\u2019s query parameter requires you to specify the name of the dataset:"),De=$(),_(z.$$.fragment),Ue=$(),oe=c("p"),Is=f("The response looks like this if a dataset is valid:"),Be=$(),_(ee.$$.fragment),He=$(),ie=c("p"),xs=f("If a dataset is not valid, then the response looks like:"),ze=$(),_(se.$$.fragment),Je=$(),pe=c("p"),Ss=f("Some cases where a dataset is not valid are:"),Ke=$(),T=c("ul"),_e=c("li"),Os=f("the dataset viewer is disabled"),Ls=$(),ye=c("li"),Ns=f("the dataset is gated but the access is not granted: no token is passed or the passed token is not authorized"),Cs=$(),je=c("li"),Gs=f("the dataset is private"),Rs=$(),ke=c("li"),Ds=f("the dataset contains no data or the data format is not supported"),Me=$(),_(J.$$.fragment),this.h()},l(e){const o=vt('[data-svelte="svelte-1phssyn"]',document.head);t=u(o,"META",{name:!0,content:!0}),o.forEach(a),r=m(e),s=u(e,"H1",{class:!0});var te=d(s);l=u(te,"A",{id:!0,class:!0,href:!0});var qe=d(l);i=u(qe,"SPAN",{});var Ee=d(i);y(b.$$.fragment,Ee),Ee.forEach(a),qe.forEach(a),O=m(te),g=u(te,"SPAN",{});var be=d(g);A=h(be,"Check dataset validity"),be.forEach(a),te.forEach(a),Ae=m(e),re=u(e,"P",{});var zs=d(re);ss=h(zs,"Before you download a dataset from the Hub, it is helpful to know which datasets are available or if a specific dataset you\u2019re interested in is available. Datasets Server provides two endpoints for verifying whether a dataset is valid or not:"),zs.forEach(a),Pe=m(e),L=u(e,"UL",{});var Ve=d(L);ne=u(Ve,"LI",{});var Us=d(ne);ue=u(Us,"CODE",{});var Js=d(ue);ts=h(Js,"/valid"),Js.forEach(a),as=h(Us," returns a list of all the datasets that work without any errors."),Us.forEach(a),rs=m(Ve),le=u(Ve,"LI",{});var Bs=d(le);fe=u(Bs,"CODE",{});var Ks=d(fe);ns=h(Ks,"/is-valid"),Ks.forEach(a),ls=h(Bs," checks if a specific dataset works without any errors."),Bs.forEach(a),Ve.forEach(a),Te=m(e),N=u(e,"P",{});var Fe=d(N);os=h(Fe,"The API endpoints will return an error for datasets that cannot be loaded with the "),X=u(Fe,"A",{href:!0,rel:!0});var Ms=d(X);is=h(Ms,"\u{1F917} Datasets"),Ms.forEach(a),ps=h(Fe," library, for example, because the data hasn\u2019t been uploaded or the format is not supported."),Fe.forEach(a),Ie=m(e),y(C.$$.fragment,e),xe=m(e),P=u(e,"P",{});var K=d(P);cs=h(K,"This guide shows you how to check dataset validity programmatically, but free to try it out with "),V=u(K,"A",{href:!0,rel:!0});var Xs=d(V);us=h(Xs,"Postman"),Xs.forEach(a),fs=h(K,", "),F=u(K,"A",{href:!0,rel:!0});var Vs=d(F);hs=h(Vs,"RapidAPI"),Vs.forEach(a),ds=h(K,", or "),Q=u(K,"A",{href:!0,rel:!0});var Fs=d(Q);$s=h(Fs,"ReDoc"),Fs.forEach(a),ms=h(K,"."),K.forEach(a),Se=m(e),I=u(e,"H2",{class:!0});var Qe=d(I);G=u(Qe,"A",{id:!0,class:!0,href:!0});var Qs=d(G);he=u(Qs,"SPAN",{});var Ws=d(he);y(W.$$.fragment,Ws),Ws.forEach(a),Qs.forEach(a),vs=m(Qe),de=u(Qe,"SPAN",{});var Ys=d(de);ws=h(Ys,"Get all valid datasets"),Ys.forEach(a),Qe.forEach(a),Oe=m(e),R=u(e,"P",{});var We=d(R);gs=h(We,"The "),$e=u(We,"CODE",{});var Zs=d($e);_s=h(Zs,"/valid"),Zs.forEach(a),ys=h(We," endpoint returns a list of Hub datasets that are expected to load without any errors. This endpoint takes no query parameters:"),We.forEach(a),Le=m(e),y(D.$$.fragment,e),Ne=m(e),U=u(e,"P",{});var Ye=d(U);js=h(Ye,"The endpoint response is a JSON containing a list valid datasets nested under the "),me=u(Ye,"CODE",{});var et=d(me);ks=h(et,"valid"),et.forEach(a),qs=h(Ye," key:"),Ye.forEach(a),Ce=m(e),y(Y.$$.fragment,e),Ge=m(e),x=u(e,"H2",{class:!0});var Ze=d(x);B=u(Ze,"A",{id:!0,class:!0,href:!0});var st=d(B);ve=u(st,"SPAN",{});var tt=d(ve);y(Z.$$.fragment,tt),tt.forEach(a),st.forEach(a),Es=m(Ze),we=u(Ze,"SPAN",{});var at=d(we);bs=h(at,"Check if a dataset is valid"),at.forEach(a),Ze.forEach(a),Re=m(e),H=u(e,"P",{});var es=d(H);As=h(es,"On the other hand, "),ge=u(es,"CODE",{});var rt=d(ge);Ps=h(rt,"/is-valid"),rt.forEach(a),Ts=h(es," checks whether a specific dataset loads without any error. This endpoint\u2019s query parameter requires you to specify the name of the dataset:"),es.forEach(a),De=m(e),y(z.$$.fragment,e),Ue=m(e),oe=u(e,"P",{});var nt=d(oe);Is=h(nt,"The response looks like this if a dataset is valid:"),nt.forEach(a),Be=m(e),y(ee.$$.fragment,e),He=m(e),ie=u(e,"P",{});var lt=d(ie);xs=h(lt,"If a dataset is not valid, then the response looks like:"),lt.forEach(a),ze=m(e),y(se.$$.fragment,e),Je=m(e),pe=u(e,"P",{});var ot=d(pe);Ss=h(ot,"Some cases where a dataset is not valid are:"),ot.forEach(a),Ke=m(e),T=u(e,"UL",{});var M=d(T);_e=u(M,"LI",{});var it=d(_e);Os=h(it,"the dataset viewer is disabled"),it.forEach(a),Ls=m(M),ye=u(M,"LI",{});var pt=d(ye);Ns=h(pt,"the dataset is gated but the access is not granted: no token is passed or the passed token is not authorized"),pt.forEach(a),Cs=m(M),je=u(M,"LI",{});var ct=d(je);Gs=h(ct,"the dataset is private"),ct.forEach(a),Rs=m(M),ke=u(M,"LI",{});var ut=d(ke);Ds=h(ut,"the dataset contains no data or the data format is not supported"),ut.forEach(a),M.forEach(a),Me=m(e),y(J.$$.fragment,e),this.h()},h(){w(t,"name","hf:doc:metadata"),w(t,"content",JSON.stringify(Lt)),w(l,"id","check-dataset-validity"),w(l,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(l,"href","#check-dataset-validity"),w(s,"class","relative group"),w(X,"href","https://github.com/huggingface/datasets"),w(X,"rel","nofollow"),w(V,"href","https://www.postman.com/huggingface/workspace/hugging-face-apis/request/23242779-17b761d0-b2b8-4638-a4f7-73be9049c324"),w(V,"rel","nofollow"),w(F,"href","https://rapidapi.com/hugging-face-hugging-face-default/api/hugging-face-datasets-api"),w(F,"rel","nofollow"),w(Q,"href","https://redocly.github.io/redoc/?url=https://datasets-server.huggingface.co/openapi.json#operation/listValidDatasets"),w(Q,"rel","nofollow"),w(G,"id","get-all-valid-datasets"),w(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(G,"href","#get-all-valid-datasets"),w(I,"class","relative group"),w(B,"id","check-if-a-dataset-is-valid"),w(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(B,"href","#check-if-a-dataset-is-valid"),w(x,"class","relative group")},m(e,o){n(document.head,t),p(e,r,o),p(e,s,o),n(s,l),n(l,i),j(b,i,null),n(s,O),n(s,g),n(g,A),p(e,Ae,o),p(e,re,o),n(re,ss),p(e,Pe,o),p(e,L,o),n(L,ne),n(ne,ue),n(ue,ts),n(ne,as),n(L,rs),n(L,le),n(le,fe),n(fe,ns),n(le,ls),p(e,Te,o),p(e,N,o),n(N,os),n(N,X),n(X,is),n(N,ps),p(e,Ie,o),j(C,e,o),p(e,xe,o),p(e,P,o),n(P,cs),n(P,V),n(V,us),n(P,fs),n(P,F),n(F,hs),n(P,ds),n(P,Q),n(Q,$s),n(P,ms),p(e,Se,o),p(e,I,o),n(I,G),n(G,he),j(W,he,null),n(I,vs),n(I,de),n(de,ws),p(e,Oe,o),p(e,R,o),n(R,gs),n(R,$e),n($e,_s),n(R,ys),p(e,Le,o),j(D,e,o),p(e,Ne,o),p(e,U,o),n(U,js),n(U,me),n(me,ks),n(U,qs),p(e,Ce,o),j(Y,e,o),p(e,Ge,o),p(e,x,o),n(x,B),n(B,ve),j(Z,ve,null),n(x,Es),n(x,we),n(we,bs),p(e,Re,o),p(e,H,o),n(H,As),n(H,ge),n(ge,Ps),n(H,Ts),p(e,De,o),j(z,e,o),p(e,Ue,o),p(e,oe,o),n(oe,Is),p(e,Be,o),j(ee,e,o),p(e,He,o),p(e,ie,o),n(ie,xs),p(e,ze,o),j(se,e,o),p(e,Je,o),p(e,pe,o),n(pe,Ss),p(e,Ke,o),p(e,T,o),n(T,_e),n(_e,Os),n(T,Ls),n(T,ye),n(ye,Ns),n(T,Cs),n(T,je),n(je,Gs),n(T,Rs),n(T,ke),n(ke,Ds),p(e,Me,o),j(J,e,o),Xe=!0},p(e,[o]){const te={};o&2&&(te.$$scope={dirty:o,ctx:e}),C.$set(te);const qe={};o&2&&(qe.$$scope={dirty:o,ctx:e}),D.$set(qe);const Ee={};o&2&&(Ee.$$scope={dirty:o,ctx:e}),z.$set(Ee);const be={};o&2&&(be.$$scope={dirty:o,ctx:e}),J.$set(be)},i(e){Xe||(k(b.$$.fragment,e),k(C.$$.fragment,e),k(W.$$.fragment,e),k(D.$$.fragment,e),k(Y.$$.fragment,e),k(Z.$$.fragment,e),k(z.$$.fragment,e),k(ee.$$.fragment,e),k(se.$$.fragment,e),k(J.$$.fragment,e),Xe=!0)},o(e){q(b.$$.fragment,e),q(C.$$.fragment,e),q(W.$$.fragment,e),q(D.$$.fragment,e),q(Y.$$.fragment,e),q(Z.$$.fragment,e),q(z.$$.fragment,e),q(ee.$$.fragment,e),q(se.$$.fragment,e),q(J.$$.fragment,e),Xe=!1},d(e){a(t),e&&a(r),e&&a(s),E(b),e&&a(Ae),e&&a(re),e&&a(Pe),e&&a(L),e&&a(Te),e&&a(N),e&&a(Ie),E(C,e),e&&a(xe),e&&a(P),e&&a(Se),e&&a(I),E(W),e&&a(Oe),e&&a(R),e&&a(Le),E(D,e),e&&a(Ne),e&&a(U),e&&a(Ce),E(Y,e),e&&a(Ge),e&&a(x),E(Z),e&&a(Re),e&&a(H),e&&a(De),E(z,e),e&&a(Ue),e&&a(oe),e&&a(Be),E(ee,e),e&&a(He),e&&a(ie),e&&a(ze),E(se,e),e&&a(Je),e&&a(pe),e&&a(Ke),e&&a(T),e&&a(Me),E(J,e)}}}const Lt={local:"check-dataset-validity",sections:[{local:"get-all-valid-datasets",title:"Get all valid datasets"},{local:"check-if-a-dataset-is-valid",title:"Check if a dataset is valid"}],title:"Check dataset validity"};function Nt(v){return wt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Bt extends dt{constructor(t){super();$t(this,t,Nt,Ot,mt,{})}}export{Bt as default,Lt as metadata};
